Index: /trunk/src/lib/collision_reaction/cr_physics_full_walk.cc
===================================================================
--- /trunk/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 10012)
+++ /trunk/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 10013)
@@ -33,196 +33,184 @@
 #include "cr_defs.h"
 
-
-
-ObjectListDefinition(CRPhysicsFullWalk);
-/**
- *  standard constructor
- */
-CRPhysicsFullWalk::CRPhysicsFullWalk ()
-    : CollisionReaction()
+namespace CoRe
 {
-  this->registerObject(this, CRPhysicsFullWalk::_objectList);
+
+  ObjectListDefinition(CRPhysicsFullWalk);
+  /**
+   *  standard constructor
+   */
+  CRPhysicsFullWalk::CRPhysicsFullWalk ()
+      : CollisionReaction()
+  {
+    this->registerObject(this, CRPhysicsFullWalk::_objectList);
+  }
+
+
+  /**
+   *  standard deconstructor
+   */
+  CRPhysicsFullWalk::~CRPhysicsFullWalk ()
+  {}
+
+
+  /**
+   * caluculates and applys the reaction to a specific collision
+   *  @param collision the collision
+   */
+  void CRPhysicsFullWalk::reactToCollision(Collision* collision)
+  {
+
+    AABB* box = collision->getEntityA()->getModelAABB();
+    WorldEntity* entity = collision->getEntityA();
+
+    if( box == NULL)
+    {
+      PRINTF(2)("this model has no aabb box so there is no correct collision reaction implemented. skipping\n");
+      return;
+    }
+
+
+    float CR_MAX_WALK_HEIGHT = 15.0f;
+//    float CR_THRESHOLD = 0.2f;
+
+    float height = 0.0f;
+    float front = 0.0f;
+    float back = 0.0f;
+    float right = 0.0f;
+    float left = 0.0f;
+
+
+    std::vector<CollisionEvent*>::const_iterator it = collision->begin();
+    for(; it != collision->end(); it++)
+    {
+
+      CollisionEvent* ce = (*it);
+      Vector normal = ce->getGroundNormal();
+
+      // calculate the collision position
+      Vector collPos =  collision->getEntityA()->getAbsCoor()  + box->center - ce->getCollisionPosition();
+
+      // test the 3 axis differently
+      switch( ce->getType())
+      {
+          /* collision in the X-AXIS */
+        case CoRe::CREngine::CR_COLLISION_TYPE_AXIS_X:
+          front = collPos.len() - box->halfLength[0];
+
+          // object is beneath the plane (ground)
+          if( front <= 0.0f )
+          {
+            Vector dirX = entity->getAbsDirX();
+            dirX.y = 0.0f;
+            dirX.normalize();
+            Vector backoff = dirX * front;
+
+            entity->shiftCoor(backoff);
+          }
+          else if( ce->isInWall())
+          {
+            // object is already in the wall
+            entity->setAbsCoor(entity->getLastAbsCoor());
+          }
+          break;
+
+        case CoRe::CREngine::CR_COLLISION_TYPE_AXIS_X_NEG:
+          back = collPos.len() - box->halfLength[0];
+
+          // object is beneath the plane (ground)
+          if( back <= 0.0f)
+          {
+            Vector dirX = entity->getAbsDirX();
+            dirX.y = 0.0f;
+            dirX.normalize();
+            Vector backoff = dirX * back * -1.0f;
+
+            entity->shiftCoor(backoff);
+          }
+          else if( ce->isInWall())
+          {
+            // object is already in the wall
+            entity->setAbsCoor(entity->getLastAbsCoor());
+          }
+          break;
+
+
+          /* collision in the Y-AXIS */
+        case CoRe::CREngine::CR_COLLISION_TYPE_AXIS_Y_NEG:
+          // calulate the height above ground
+          height = collPos.len() - box->halfLength[1];
+
+
+          // object is beneath the plane (ground)
+          //         if(height >= 0.0f && height <= 0.0001f) break ;// Do nothing
+          if( height < 0.0f && -height < CR_MAX_WALK_HEIGHT)
+          {
+            entity->shiftCoor(Vector(0.0f, -height + 0.00001, 0.0f));
+            entity->setOnGround(true);
+          }
+          // object is already in the wall
+          else if( ce->isInWall())
+          {
+            entity->setAbsCoor(entity->getLastAbsCoor());
+            PRINTF(0)("ground collision: reset pos\n");
+          }
+          else
+          {
+            // entity is not on ground
+            entity->setOnGround(false);
+          }
+          break;
+
+
+          /* collision in the Z-AXIS */
+        case CoRe::CREngine::CR_COLLISION_TYPE_AXIS_Z:
+
+          right = collPos.len()  - box->halfLength[2];
+
+          // object is beneath the plane (ground)
+          if( right <= 0.0f )
+          {
+            Vector dirZ = entity->getAbsDirZ();
+            dirZ.y = 0.0f;
+            dirZ.normalize();
+            Vector backoff = dirZ * right;
+            entity->shiftCoor(backoff);
+          }
+          else if( ce->isInWall())
+          {
+            // object is already in the wall
+            entity->setAbsCoor(entity->getLastAbsCoor());
+          }
+          break;
+
+
+          // collision in the z-axis
+        case CoRe::CREngine::CR_COLLISION_TYPE_AXIS_Z_NEG:
+
+          left = collPos.len()  - box->halfLength[2];
+
+          // object is beneath the plane (ground)
+          if( left <= 0.0f )
+          {
+            Vector dirZ = entity->getAbsDirZ();
+            dirZ.y = 0.0f;
+            dirZ.normalize();
+            Vector backoff = dirZ * left*-1.0f;
+            entity->shiftCoor(backoff);
+          }
+          // object is already in the wall
+          else if( ce->isInWall())
+          {
+            entity->setAbsCoor(entity->getLastAbsCoor());
+          }
+          break;
+      }
+    }
+    //PRINTF(0)("collision distances: x: %f, y: %f, z: %f\n", front, height, side);
+  }
+
+
+
+
 }
 
-
-/**
- *  standard deconstructor
- */
-CRPhysicsFullWalk::~CRPhysicsFullWalk ()
-{}
-
-
-/**
- * caluculates and applys the reaction to a specific collision
- *  @param collision the collision
- */
-void CRPhysicsFullWalk::reactToCollision(Collision* collision)
-{
-
-  AABB* box = collision->getEntityB()->getModelAABB();
-  WorldEntity* entity = collision->getEntityB();
-
-  if( box == NULL)
-  {
-    PRINTF(2)("this model has no aabb box so there is no correct collision reaction implemented. skipping\n");
-    return;
-  }
-
-
-  float CR_MAX_WALK_HEIGHT = 15.0f;
-  float CR_THRESHOLD = 0.2f;
-
-  float height = 0.0f;
-  float front = 0.0f;
-  float back = 0.0f;
-  float right = 0.0f;
-  float left = 0.0f;
-
-
-  const std::vector<CollisionEvent*>* collisionEvents = &(collision->getCollisionEvents());
-  std::vector<CollisionEvent*>::const_iterator it = collisionEvents->begin();
-  for(; it != collisionEvents->end(); it++)
-  {
-
-    CollisionEvent* ce = (*it);
-    Vector normal = ce->getGroundNormal();
-
-    // calculate the collision position
-    Vector collPos =  collision->getEntityB()->getAbsCoor()  + box->center - ce->getCollisionPosition();
-
-    // test the 3 axis differently
-    switch( ce->getType())
-    {
-        /* collision in the X-AXIS */
-      case COLLISION_TYPE_AXIS_X:
-        front = collPos.len() - box->halfLength[0];
-
-        // object is beneath the plane (ground)
-        if( front <= 0.0f )
-        {
-          Vector dirX = entity->getAbsDirX();
-          dirX.y = 0.0f;
-          dirX.normalize();
-          Vector backoff = dirX * front;
-
-          entity->shiftCoor(backoff);
-        }
-        else if( ce->isInWall())
-        {
-          // object is already in the wall
-          entity->setAbsCoor(entity->getLastAbsCoor());
-        }
-        break;
-
-      case COLLISION_TYPE_AXIS_X_NEG:
-        back = collPos.len() - box->halfLength[0];
-
-        // object is beneath the plane (ground)
-        if( back <= 0.0f)
-        {
-          Vector dirX = entity->getAbsDirX();
-          dirX.y = 0.0f;
-          dirX.normalize();
-          Vector backoff = dirX * back * -1.0f;
-
-          entity->shiftCoor(backoff);
-        }
-        else if( ce->isInWall())
-        {
-          // object is already in the wall
-          entity->setAbsCoor(entity->getLastAbsCoor());
-        }
-        break;
-
-
-        /* collision in the Y-AXIS */
-      case COLLISION_TYPE_AXIS_Y_NEG:
-        // calulate the height above ground
-        height = collPos.len() - box->halfLength[1];
-
-
-        // object is beneath the plane (ground)
-        //         if(height >= 0.0f && height <= 0.0001f) break ;// Do nothing
-        if( height < 0.0f && -height < CR_MAX_WALK_HEIGHT)
-        {
-          entity->shiftCoor(Vector(0.0f, -height + 0.00001, 0.0f));
-          entity->setOnGround(true);
-        }
-        // object is already in the wall
-        else if( ce->isInWall())
-        {
-          entity->setAbsCoor(entity->getLastAbsCoor());
-          PRINTF(0)("ground collision: reset pos\n");
-        }
-        else
-        {
-          // entity is not on ground
-          entity->setOnGround(false);
-        }
-        break;
-
-
-        /* collision in the Z-AXIS */
-      case COLLISION_TYPE_AXIS_Z:
-
-        right = collPos.len()  - box->halfLength[2];
-
-        // object is beneath the plane (ground)
-        if( right <= 0.0f )
-        {
-          Vector dirZ = entity->getAbsDirZ();
-          dirZ.y = 0.0f;
-          dirZ.normalize();
-          Vector backoff = dirZ * right;
-          entity->shiftCoor(backoff);
-        }
-        else if( ce->isInWall())
-        {
-          // object is already in the wall
-          entity->setAbsCoor(entity->getLastAbsCoor());
-        }
-        break;
-
-
-        // collision in the z-axis
-      case COLLISION_TYPE_AXIS_Z_NEG:
-
-        left = collPos.len()  - box->halfLength[2];
-
-        // object is beneath the plane (ground)
-        if( left <= 0.0f )
-        {
-          Vector dirZ = entity->getAbsDirZ();
-          dirZ.y = 0.0f;
-          dirZ.normalize();
-          Vector backoff = dirZ * left*-1.0f;
-          entity->shiftCoor(backoff);
-        }
-        // object is already in the wall
-        else if( ce->isInWall())
-        {
-          entity->setAbsCoor(entity->getLastAbsCoor());
-        }
-        break;
-    }
-  }
-  //PRINTF(0)("collision distances: x: %f, y: %f, z: %f\n", front, height, side);
-
-
-
-
-
-
-
-}
-
-
-
-
-/**
- * use this to do some collision offline calculations, only called for bContinuousPoll == true
- */
-void CRPhysicsFullWalk::update(WorldEntity* owner)
-{}
-
-
Index: /trunk/src/lib/collision_reaction/cr_physics_full_walk.h
===================================================================
--- /trunk/src/lib/collision_reaction/cr_physics_full_walk.h	(revision 10012)
+++ /trunk/src/lib/collision_reaction/cr_physics_full_walk.h	(revision 10013)
@@ -9,11 +9,13 @@
 #include "collision_reaction.h"
 
+namespace CoRe
+{
 
-class Collision;
+  class Collision;
 
-//! A class representing a reaction to a collision: dealing damage to an object
-class CRPhysicsFullWalk : public CollisionReaction
-{
-  ObjectListDeclaration(CRPhysicsFullWalk);
+  //! A class representing a reaction to a collision: dealing damage to an object
+  class CRPhysicsFullWalk : public CollisionReaction
+  {
+    ObjectListDeclaration(CRPhysicsFullWalk);
   public:
     CRPhysicsFullWalk();
@@ -21,11 +23,5 @@
 
     virtual void reactToCollision(Collision* collision);
-
-    virtual void update(WorldEntity* entity);
-
-
-  private:
-    float        downspeed;
-};
-
+  };
+}
 #endif /* _CR_PHYSICS_FULL_WALK_H */
Index: /trunk/src/lib/collision_reaction/cr_physics_ground_walk.cc
===================================================================
--- /trunk/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 10012)
+++ /trunk/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 10013)
@@ -34,99 +34,95 @@
 
 
+namespace CoRe
+{
 
-ObjectListDefinition(CRPhysicsGroundWalk);
-/**
- *  standard constructor
- */
-CRPhysicsGroundWalk::CRPhysicsGroundWalk ()
-    : CollisionReaction()
-{
-  this->registerObject(this, CRPhysicsGroundWalk::_objectList);
-}
+  ObjectListDefinition(CRPhysicsGroundWalk);
 
 
-/**
- *  standard deconstructor
- */
-CRPhysicsGroundWalk::~CRPhysicsGroundWalk ()
-{}
-
-
-/**
- * caluculates and applys the reaction to a specific collision
- *  @param collision the collision
- */
-void CRPhysicsGroundWalk::reactToCollision(Collision* collision)
-{
-
-  AABB* box = collision->getEntityB()->getModelAABB();
-  WorldEntity* entity = collision->getEntityB();
-
-  if( box == NULL)
+  /**
+   *  standard constructor
+   */
+  CRPhysicsGroundWalk::CRPhysicsGroundWalk ()
+      : CollisionReaction()
   {
-    PRINTF(2)("this model has no aabb box so there is no correct collision reaction implemented. skipping\n");
-    return;
+    this->registerObject(this, CRPhysicsGroundWalk::_objectList);
   }
 
 
-  float CR_MAX_WALK_HEIGHT = 15.0f;
-
-  float height = 0.0f;
+  /**
+   *  standard deconstructor
+   */
+  CRPhysicsGroundWalk::~CRPhysicsGroundWalk ()
+  {}
 
 
-  const std::vector<CollisionEvent*>* collisionEvents = &(collision->getCollisionEvents());
-  std::vector<CollisionEvent*>::const_iterator it = collisionEvents->begin();
-  for(; it != collisionEvents->end(); it++)
+  /**
+   * caluculates and applys the reaction to a specific collision
+   *  @param collision the collision
+   */
+  void CRPhysicsGroundWalk::reactToCollision(Collision* collision)
   {
 
-    CollisionEvent* ce = (*it);
-    Vector normal = ce->getGroundNormal();
+    AABB* box = collision->getEntityA()->getModelAABB();
+    WorldEntity* entity = collision->getEntityA();
 
-    // calculate the collision position
-    Vector collPos =  collision->getEntityB()->getAbsCoor()  + box->center - ce->getCollisionPosition();
-
-    // test the 3 axis differently
-    switch( ce->getType())
+    if( box == NULL)
     {
-        /* collision in the Y-AXIS */
-      case COLLISION_TYPE_AXIS_Y_NEG:
-        // calulate the height above ground
-        height = collPos.len() - box->halfLength[1];
+      PRINTF(2)("this model has no aabb box so there is no correct collision reaction implemented. skipping\n");
+      return;
+    }
 
 
-        // object is beneath the plane (ground)
-        //         if(height >= 0.0f && height <= 0.0001f) break ;// Do nothing
-        if( height < 0.0f && -height < CR_MAX_WALK_HEIGHT)
-        {
-          entity->shiftCoor(Vector(0.0f, -height + 0.00001, 0.0f));
-          entity->setOnGround(true);
-        }
-        // object is already in the wall
-        else if( ce->isInWall())
-        {
-          entity->setAbsCoor(entity->getLastAbsCoor());
-        }
-        else
-        {
-          // entity is not on ground
-          entity->setOnGround(false);
-        }
-        break;
+    float CR_MAX_WALK_HEIGHT = 15.0f;
+
+    float height = 0.0f;
 
 
+    std::vector<CollisionEvent*>::const_iterator it = collision->begin();
+    for(; it != collision->end(); it++)
+    {
+
+      CollisionEvent* ce = (*it);
+      Vector normal = ce->getGroundNormal();
+
+      // calculate the collision position
+      Vector collPos =  collision->getEntityA()->getAbsCoor()  + box->center - ce->getCollisionPosition();
+
+      // test the 3 axis differently
+      switch( ce->getType())
+      {
+          /* collision in the Y-AXIS */
+        case CoRe::CREngine::CR_COLLISION_TYPE_AXIS_Y_NEG:
+          // calulate the height above ground
+          height = collPos.len() - box->halfLength[1];
+
+
+          // object is beneath the plane (ground)
+          //         if(height >= 0.0f && height <= 0.0001f) break ;// Do nothing
+          if( height < 0.0f && -height < CR_MAX_WALK_HEIGHT)
+          {
+            entity->shiftCoor(Vector(0.0f, -height + 0.00001, 0.0f));
+            entity->setOnGround(true);
+          }
+          // object is already in the wall
+          else if( ce->isInWall())
+          {
+            entity->setAbsCoor(entity->getLastAbsCoor());
+          }
+          else
+          {
+            // entity is not on ground
+            entity->setOnGround(false);
+          }
+          break;
+
+
+      }
     }
+    //PRINTF(0)("collision distances: x: %f, y: %f, z: %f\n", front, height, side);
+
   }
-  //PRINTF(0)("collision distances: x: %f, y: %f, z: %f\n", front, height, side);
-
-}
 
 
 
-
-/**
- * use this to do some collision offline calculations, only called for bContinuousPoll == true
- */
-void CRPhysicsGroundWalk::update(WorldEntity* owner)
-{}
-
-
+}
Index: /trunk/src/lib/collision_reaction/cr_physics_ground_walk.h
===================================================================
--- /trunk/src/lib/collision_reaction/cr_physics_ground_walk.h	(revision 10012)
+++ /trunk/src/lib/collision_reaction/cr_physics_ground_walk.h	(revision 10013)
@@ -9,11 +9,13 @@
 #include "collision_reaction.h"
 
+namespace CoRe
+{
 
-class Collision;
+  class Collision;
 
-//! A class representing a reaction to a collision: dealing damage to an object
-class CRPhysicsGroundWalk : public CollisionReaction
-{
-  ObjectListDeclaration(CRPhysicsGroundWalk);
+  //! A class representing a reaction to a collision: dealing damage to an object
+  class CRPhysicsGroundWalk : public CollisionReaction
+  {
+    ObjectListDeclaration(CRPhysicsGroundWalk);
   public:
     CRPhysicsGroundWalk();
@@ -22,10 +24,6 @@
     virtual void reactToCollision(Collision* collision);
 
-    virtual void update(WorldEntity* entity);
+  };
 
-
-  private:
-    float        downspeed;
-};
-
+}
 #endif /* _CR_PHYSICS_GROUND_WALK_H */
Index: /trunk/src/lib/graphics/importer/bsp_manager.cc
===================================================================
--- /trunk/src/lib/graphics/importer/bsp_manager.cc	(revision 10012)
+++ /trunk/src/lib/graphics/importer/bsp_manager.cc	(revision 10013)
@@ -46,5 +46,6 @@
 
 #include "aabb.h"
-#include "cr_defs.h"
+#include "cr_engine.h"
+#include "collision_tube.h"
 
 
@@ -1215,6 +1216,6 @@
   if( xCollisionForward)
   {
-    entity->registerCollision(COLLISION_TYPE_AXIS_X ,
-                              this->parent, entity,
+    CoRe::CollisionTube::getInstance()->registerCollisionEvent( CoRe::CREngine::CR_COLLISION_TYPE_AXIS_X ,
+                              entity, this->parent,
                               Vector(testPlane->x, testPlane->y, testPlane->z),
                               collPos,
@@ -1254,6 +1255,6 @@
   if( xCollisionBackward)
   {
-    entity->registerCollision(COLLISION_TYPE_AXIS_X_NEG ,
-                              this->parent, entity,
+    CoRe::CollisionTube::getInstance()->registerCollisionEvent( CoRe::CREngine::CR_COLLISION_TYPE_AXIS_X_NEG,
+                              entity, this->parent,
                               Vector(testPlane->x, testPlane->y, testPlane->z),
                               collPos,
@@ -1350,6 +1351,6 @@
   if( yCollisionUp)
   {
-    entity->registerCollision(COLLISION_TYPE_AXIS_Y , this->parent,
-                              entity,
+    CoRe::CollisionTube::getInstance()->registerCollisionEvent( CoRe::CREngine::CR_COLLISION_TYPE_AXIS_Y,
+                              entity, this->parent,
                               Vector(testPlane->x, testPlane->y, testPlane->z),
                               collPos, SolidFlag);
@@ -1403,11 +1404,9 @@
   if( yCollisionDown)
   {
-    entity->registerCollision(COLLISION_TYPE_AXIS_Y_NEG , this->parent,
-                              entity,
+    CoRe::CollisionTube::getInstance()->registerCollisionEvent( CoRe::CREngine::CR_COLLISION_TYPE_AXIS_Y_NEG ,
+                              entity, this->parent,
                               Vector(testPlane->x, testPlane->y, testPlane->z),
                               collPos, SolidFlag);
   }
-
-
 }
 
@@ -1484,6 +1483,6 @@
 
   if( zCollisionRight) {
-    entity->registerCollision(COLLISION_TYPE_AXIS_Z , this->parent,
-                              entity,
+    CoRe::CollisionTube::getInstance()->registerCollisionEvent( CoRe::CREngine::CR_COLLISION_TYPE_AXIS_Z ,
+                              entity, this->parent,
                               Vector(testPlane->x, testPlane->y, testPlane->z),
                               collPos , SolidFlag);
@@ -1523,8 +1522,8 @@
 
   if( zCollisionLeft) {
-    entity->registerCollision(COLLISION_TYPE_AXIS_Z_NEG , this->parent,
-                              entity,
-                              Vector(testPlane->x, testPlane->y, testPlane->z),
-                              collPos , SolidFlag);
+    CoRe::CollisionTube::getInstance()->registerCollisionEvent( CoRe::CREngine::CR_COLLISION_TYPE_AXIS_Z_NEG ,
+                               entity, this->parent,
+                               Vector(testPlane->x, testPlane->y, testPlane->z),
+                               collPos , SolidFlag);
   }
 
Index: /trunk/src/story_entities/game_world.cc
===================================================================
--- /trunk/src/story_entities/game_world.cc	(revision 10012)
+++ /trunk/src/story_entities/game_world.cc	(revision 10013)
@@ -136,5 +136,5 @@
   AnimationPlayer::getInstance();
   PhysicsEngine::getInstance();
-  CREngine::getInstance();
+  CoRe::CREngine::getInstance();
 
   State::setScriptManager(&this->scriptManager);
@@ -219,5 +219,5 @@
   delete AnimationPlayer::getInstance();
   delete PhysicsEngine::getInstance();
-  delete CREngine::getInstance();
+  delete CoRe::CREngine::getInstance();
 
   State::setCurrentStoryEntity(NULL);
@@ -494,5 +494,5 @@
 void GameWorld::collisionReaction()
 {
-  CREngine::getInstance()->handleCollisions();
+  CoRe::CREngine::getInstance()->handleCollisions();
 }
 
Index: /trunk/src/story_entities/game_world_data.cc
===================================================================
--- /trunk/src/story_entities/game_world_data.cc	(revision 10012)
+++ /trunk/src/story_entities/game_world_data.cc	(revision 10013)
@@ -232,5 +232,4 @@
   State::setPlayer(this->localPlayer);
 
-  Playable* playable;
   if (!Playable::objectList().empty())
   {
Index: /trunk/src/world_entities/creatures/fps_player.cc
===================================================================
--- /trunk/src/world_entities/creatures/fps_player.cc	(revision 10012)
+++ /trunk/src/world_entities/creatures/fps_player.cc	(revision 10013)
@@ -167,5 +167,5 @@
 
     //subscribe to collision reaction
-  this->subscribeReaction(CREngine::CR_PHYSICS_FULL_WALK, BspEntity::staticClassID());
+  this->subscribeReaction(CoRe::CREngine::CR_PHYSICS_FULL_WALK, BspEntity::staticClassID());
 
   this->initWeapon = false;
Index: /trunk/src/world_entities/npcs/attractor_mine.cc
===================================================================
--- /trunk/src/world_entities/npcs/attractor_mine.cc	(revision 10012)
+++ /trunk/src/world_entities/npcs/attractor_mine.cc	(revision 10013)
@@ -62,4 +62,5 @@
 
   this->setDamage(30.0f);
+  this->subscribeReaction(CoRe::CREngine::CR_OBJECT_DAMAGE, Playable::staticClassID());
 
 
Index: /trunk/src/world_entities/npcs/generic_npc.cc
===================================================================
--- /trunk/src/world_entities/npcs/generic_npc.cc	(revision 10012)
+++ /trunk/src/world_entities/npcs/generic_npc.cc	(revision 10013)
@@ -96,5 +96,5 @@
 
   // collision reaction registration
-  this->subscribeReaction(CREngine::CR_PHYSICS_GROUND_WALK, BspEntity::staticClassID());
+  this->subscribeReaction(CoRe::CREngine::CR_PHYSICS_GROUND_WALK, BspEntity::staticClassID());
 }
 
Index: /trunk/src/world_entities/projectiles/projectile.cc
===================================================================
--- /trunk/src/world_entities/projectiles/projectile.cc	(revision 10012)
+++ /trunk/src/world_entities/projectiles/projectile.cc	(revision 10013)
@@ -23,4 +23,5 @@
 #include "model.h"
 #include "sound/resource_sound_buffer.h"
+#include "playable.h"
 
 #include "debug.h"
@@ -43,4 +44,5 @@
   this->setHealth(1.0f);
   this->setDamage(1.0f); // default damage of a projectile set to 100.0 damage points
+  this->subscribeReaction( CoRe::CREngine::CR_PHYSICS_FULL_WALK, Playable::staticClassID());
 
   //this->addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
Index: /trunk/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- /trunk/src/world_entities/space_ships/spacecraft_2d.cc	(revision 10012)
+++ /trunk/src/world_entities/space_ships/spacecraft_2d.cc	(revision 10013)
@@ -221,5 +221,6 @@
   registerVar( new SynchronizeableFloat( &rotation, &rotation, "rotation", PERMISSION_OWNER ) );
 
-
+  this->setDamage( 1000.0f);
+  this->subscribeReaction(CoRe::CREngine::CR_OBJECT_DAMAGE, WorldEntity::staticClassID());
 
 }
Index: /trunk/src/world_entities/weapons/aiming_system.cc
===================================================================
--- /trunk/src/world_entities/weapons/aiming_system.cc	(revision 10012)
+++ /trunk/src/world_entities/weapons/aiming_system.cc	(revision 10013)
@@ -61,6 +61,6 @@
 
   // registering default reactions:
-  this->unsubscribeReaction(CREngine::CR_OBJECT_DAMAGE);
-  this->subscribeReaction(CREngine::CR_OBJECT_DAMAGE, WorldEntity::staticClassID());
+  this->unsubscribeReaction(CoRe::CREngine::CR_OBJECT_DAMAGE);
+  this->subscribeReaction(CoRe::CREngine::CR_OBJECT_DAMAGE, WorldEntity::staticClassID());
 
   this->range = 1000.0f;
